Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688637 - [DOCS] Nodes docs feedback
Summary: [DOCS] Nodes docs feedback
Keywords:
Status: MODIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.1.0
Assignee: Michael Burke
QA Contact: Weinan Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks: 1686987
TreeView+ depends on / blocked
 
Reported: 2019-03-14 06:53 UTC by Vikram Goyal
Modified: 2019-04-15 17:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Vikram Goyal 2019-03-14 06:53:06 UTC
16.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-viewing.html
“As an administrator, you can view the pods in my cluster and to determine the health of those pods and the cluster as a whole.”
--->
“As an administrator, you can view the pods in your cluster and to determine the health of those pods and the cluster as a whole.”

17.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-configuring.html#nodes-pods-configuring-run-once_nodes-pods-configuring
Question: Does it still apply to OCP 4.0?
I could not find it.
# oc api-resources | grep -i AdmissionConfiguration

18.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-secrets.html#nodes-pods-secrets-about-types
“Specify type= Opaque if you do not want validation”
--->
Specify type: Opaque if you do not want validation


19.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-priority.html#nodes-pods-priority-about_nodes-pods-priority
“When the Pod Priority and Preemption feature is enabled, ...”
Question: how to check on a cluster if it is enabled?

20.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-priority.html#admin-guide-priority-preemption-priority-class
Suggest to add the command to show `priorityclasses`
# oc get pc
NAME                      CREATED AT
system-cluster-critical   2019-03-04T19:35:56Z
system-node-critical      2019-03-04T19:35:56Z

21.
https://docs.openshift.com/container-platform/4.0/nodes/pods/nodes-pods-priority.html#nodes-pods-priority-disabling_nodes-pods-priority
“Create a KubeSchedulerConfiguration object: ...”
I could not find the crd … Is it still supported on OCP 4.0?
# oc api-resources | grep -i KubeSchedulerConfiguration

https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-default.html#nodes-scheduler-default-modifying_nodes-scheduler-default
See above.

22.
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-default.html#nodes-scheduler-default-about-understanding
I could not find the crd … Is it still supported on OCP 4.0?
# oc api-resources | grep -i policy
networkpolicies                       netpol           extensions                              true         NetworkPolicy
podsecuritypolicies                   psp              extensions                              false        PodSecurityPolicy
egressnetworkpolicies                                  network.openshift.io                    true         EgressNetworkPolicy
networkpolicies                       netpol           networking.k8s.io                       true         NetworkPolicy
poddisruptionbudgets                  pdb              policy                                  true         PodDisruptionBudget
podsecuritypolicies                   psp              policy                                  false        PodSecurityPolicy
podsecuritypolicyreviews                               security.openshift.io                   true         PodSecurityPolicyReview
podsecuritypolicyselfsubjectreviews                    security.openshift.io                   true         PodSecurityPolicySelfSubjectReview
podsecuritypolicysubjectreviews                        security.openshift.io                   true         PodSecurityPolicySubjectReview

23.
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-node-names.html#nodes-scheduler-node-name-configuring_nodes-scheduler-node-names
“Create an AdmissionConfiguration object that references the file:”
I could not find the crd … Is it still supported on OCP 4.0?
# oc api-resources | grep -i AdmissionConfiguration

“For information about changing node labels, see Understanding how to update labels on nodes.”
The link is broken.

https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-node-projects.html#nodes-scheduler-node-projects-configuring_nodes-scheduler-node-project
See above about AdmissionConfiguration

https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-pod-affinity.html
See above about AdmissionConfiguration

24.
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-overcommit.html
The page is not ready?


25.
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-node-affinity.html
Should this be the same as or a part of this page?
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-pod-affinity.html

26.
https://docs.openshift.com/container-platform/4.0/nodes/scheduling/nodes-scheduler-descheduler.html#nodes-scheduler-descheduler-create-policy_nodes-scheduler-descheduler
“Edit the Descheduler Operator CRD similar to the following:”
I could not find the crd … Is it still supported on OCP 4.0?
# oc api-resources | grep -i Descheduler

27.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-working.html
`oc adm manage-node` is no longer available on oc cli 4.0.
We should remove all the commands with it in the page.
If the command is for --schedulable=false/true of a node, it is replaced by `oc cordon/uncordon` commands.

28.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-node-tuning-operator.html
Same page as?
https://docs.openshift.com/container-platform/4.0/scalability_and_performance/using-node-tuning-operator.html

29.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-modifying.html
The content is included already in?
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-working.html

30.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-viewing.html
Should this page be the first one under “Working with nodes”

31.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-viewing.html#nodes-nodes-viewing-listing-pods_nodes-nodes-viewing
Is `--list-pods` still valid on OCP 4?
$ oc version --short
Client Version: v4.0.17
Server Version: v1.12.4+b3e6ad4
$ oc describe node ip-10-0-169-118.us-east-2.compute.internal --list-pods
Error: unknown flag: --list-pods

31.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-rebooting.html#nodes-nodes-rebooting-infrastructure_nodes-nodes-rebooting
“Understanding infrastructire node rebooting in OpenShift Container Platform”
First, need to fix the typo.
Second, on OCP 4 infra nodes are master nodes, right?

32.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-garbage-collection.html#nodes-nodes-garbage-collection-configuring_nodes-nodes-configuring
“Sample configuration for a garbage CR”
The values are missing in the yaml example.

33.
https://docs.openshift.com/container-platform/4.0/nodes/containers/nodes-containers-volumes.html
“You can use volumes to persist data in a container after the container stops.”
Not sure if I understand this.

34.
https://docs.openshift.com/container-platform/4.0/nodes/containers/nodes-containers-volumes.html
“For more information on Init Containers, review the Kubernetes documentation.”
We can remove the above irrelevant sentence.

35.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-containers-events.html
“To view events in your project from the web console.”
Should not under “Viewing events using the CLI”.

“Launch the Browse → Events page.”
--->
“Launch the Home → Events page.”



36.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-resource-levels.html
“$ cluster-capacity --kubeconfig”
Explain where to get “cluster-capacity” binary.
Maybe somewhere in the page mention https://github.com/kubernetes-incubator/cluster-capacity

37.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-overcommit.html#nodes-cluster-overcommit-qos-about-swap
“You can disable swap by across all nodes in your cluster with a single command.”
“swapoff -a”
Not sure if we can/should do this on coreos node.

https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-overcommit.html#nodes-cluster-overcommit-configure-nodes_nodes-cluster-overcommit
“$ sysctl -w vm.overcommit_memory=1”
Node tuning should be done via node-tuning-operator.

38.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-problem-detector.html#nodes-nodes-problem-detector-installing_nodes-nodes-problem-detector
“Create an Operator Group”
This step should not been necessary if we create Subscription on UI console. It should be automatically created. Please confirm this is copied from updated doc.

More importantly, I did not see the operator pod is running after creating the subscription. Something went wrong for this operator with the current version.

Comment 1 Michael Burke 2019-03-15 00:11:10 UTC
Anping --

Thank you for your excellent review! I had gone through the Nodes docs earlier this week and made multiple changes for 4.0 and for procedures that didn't work.

I developed a list of questions for Seth Jennings, He is on PTO as of 3/14. I will need to find someone else on the team to ask. (If you can answer any questions, I would appreciate the hel0.)
https://docs.google.com/document/d/11afGt2LTIfO1zVjoDtsFKgRvgb1OS2MYoroN7m7Qzws/edit#

I have implemented your comments except for a few which I added to that list for Seth.

I have put some comments on your findings here: 
https://docs.google.com/document/d/1ws_6U0NFcpzQrdCq_pUUM0FHllLNaNxyVanMaUvqgqk/edit

Comment 2 Michael Burke 2019-03-15 00:21:45 UTC
Anping -- Do you have comments 1-15?

Comment 3 Anping Li 2019-03-22 01:52:26 UTC
@Vikram, I am not familiar with the node Part. I will assign to the node team.

Comment 4 Weinan Liu 2019-03-22 09:09:21 UTC
(In reply to Michael Burke from comment #2)
> Anping -- Do you have comments 1-15?

Hi Michael, 
Do we still need to review #22- #38? Or only #1-#15 need our comments?
Thanks

Comment 5 Michael Burke 2019-03-22 14:37:34 UTC
Weinan -- Please review #22-38 at https://github.com/openshift/openshift-docs/pull/14207, if you think that it OK. I might not have addressed all of your comments; I asked Seth Jennings on the Pod team about a few. I would like to get the PR merged to avoid further merge errors. 

I did not notice that Vikram added the comments in this BZ. I will ask him about the other comments, #1-15. 

Thank you!

Michael

Comment 6 Vikram Goyal 2019-03-25 01:37:37 UTC
(In reply to Michael Burke from comment #5)
> Weinan -- Please review #22-38 at
> https://github.com/openshift/openshift-docs/pull/14207, if you think that it
> OK. I might not have addressed all of your comments; I asked Seth Jennings
> on the Pod team about a few. I would like to get the PR merged to avoid
> further merge errors. 
> 
> I did not notice that Vikram added the comments in this BZ. I will ask him
> about the other comments, #1-15. 

#1-15 did not relate to nodes and are part of other bugs. This bug is one of several created in response to the bug 1686987, which it blocks.

> 
> Thank you!
> 
> Michael

Comment 7 Weinan Liu 2019-03-26 09:07:13 UTC
@Michael,
May I ask what the deadline is? Pod QE team has started working on this, will need some time to verify the steps.

Comment 8 Michael Burke 2019-03-26 16:24:03 UTC
Vikram -- Can you advise regarding the deadline?

Comment 9 Vikram Goyal 2019-04-04 12:48:16 UTC
(In reply to Weinan Liu from comment #7)
> @Michael,
> May I ask what the deadline is? Pod QE team has started working on this,
> will need some time to verify the steps.

It will be great if we can get it done this week, if possible.

Comment 10 Weinan Liu 2019-04-10 05:22:33 UTC
Hi Michael, please see my comments for 33-38 as below. Some of them will still need Seth and Joel Smith's confirmation

33.
https://docs.openshift.com/container-platform/4.0/nodes/containers/nodes-containers-volumes.html
“You can use volumes to persist data in a container after the container stops.”
Not sure if I understand this.
[weinliu] @Seth, could you help to take a look?
34.
https://docs.openshift.com/container-platform/4.0/nodes/containers/nodes-containers-volumes.html
“For more information on Init Containers, review the Kubernetes documentation.”
We can remove the above irrelevant sentence.
[weinliu] I’m ok removing this

35.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-containers-events.html
“To view events in your project from the web console.”
Should not under “Viewing events using the CLI”.

“Launch the Browse → Events page.”
--->
“Launch the Home → Events page.”

[weinliu] Correct, no comments


36.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-resource-levels.html
“$ cluster-capacity --kubeconfig”
Explain where to get “cluster-capacity” binary.
Maybe somewhere in the page mention https://github.com/kubernetes-incubator/cluster-capacity

[weinliu] I agree with listing the page, and build the image

37.
https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-overcommit.html#nodes-cluster-overcommit-qos-about-swap
“You can disable swap by across all nodes in your cluster with a single command.”
“swapoff -a”
Not sure if we can/should do this on coreos node.

https://docs.openshift.com/container-platform/4.0/nodes/clusters/nodes-cluster-overcommit.html#nodes-cluster-overcommit-configure-nodes_nodes-cluster-overcommit
“$ sysctl -w vm.overcommit_memory=1”
Node tuning should be done via node-tuning-operator.
[weinliu] @Seth, could you help to take a look?

38.
https://docs.openshift.com/container-platform/4.0/nodes/nodes/nodes-nodes-problem-detector.html#nodes-nodes-problem-detector-installing_nodes-nodes-problem-detector
“Create an Operator Group”
This step should not been necessary if we create Subscription on UI console. It should be automatically created. Please confirm this is copied from updated doc.

More importantly, I did not see the operator pod is running after creating the subscription. Something went wrong for this operator with the current version.

[weinliu] Why pod is not created after  creating the subscription: https://bugzilla.redhat.com/show_bug.cgi?id=1679467 node-problem-detector-operator does not create daemonset and NPD pods after installed on operator hub, this addon has been descoped for 4.1.  Moving target release to 4.2.
If the OG should be created automatically will need the DEV (Joel Smith’s confirm)

Comment 13 Michael Burke 2019-04-15 17:23:26 UTC
WIP changes per comment 11 and comment 12

https://github.com/openshift/openshift-docs/pull/14453


Note You need to log in before you can comment on or make changes to this bug.